<?php



class TblscormcmiinteractionMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblscormcmiinteractionMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblscormcmiinteractionPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblscormcmiinteractionPeer::TABLE_NAME);
		$tMap->setPhpName('Tblscormcmiinteraction');
		$tMap->setClassname('Tblscormcmiinteraction');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('CMI_INTERACTION_ID', 'CmiInteractionId', 'INTEGER', true, null);

		$tMap->addColumn('CMI_NODE_ID', 'CmiNodeId', 'INTEGER', false, null);

		$tMap->addColumn('DESCRIPTION', 'Description', 'LONGVARCHAR', false, null);

		$tMap->addColumn('ID', 'Id', 'VARCHAR', false, 255);

		$tMap->addColumn('LATENCY', 'Latency', 'VARCHAR', false, 20);

		$tMap->addColumn('LEARNER_RESPONSE', 'LearnerResponse', 'LONGVARCHAR', false, null);

		$tMap->addColumn('RESULT', 'Result', 'VARCHAR', false, 4000);

		$tMap->addColumn('C_TIMESTAMP', 'CTimestamp', 'VARCHAR', false, 20);

		$tMap->addColumn('C_TYPE', 'CType', 'VARCHAR', false, 32);

		$tMap->addColumn('WEIGHTING', 'Weighting', 'DOUBLE', false, null);

	} 
} 